/* BoxPlotImpl.java

	Purpose:
		
	Description:
		
	History:
		Tue, Oct  6, 2015 10:30:10 AM, Created by Christopher

Copyright (C) 2015 Potix Corporation. All Rights Reserved.

This program is distributed under LGPL Version 2.1 in the hope that
it will be useful, but WITHOUT ANY WARRANTY.
*/
package org.zkoss.chart.impl;

import org.zkoss.chart.PlotData;
import org.zkoss.chart.model.BoxPlotModel;
import org.zkoss.chart.model.ChartsModel;

/**
 * @author Christopher
 */
public class BoxPlotImpl extends PlotEngineImpl {
	public BoxPlotImpl(PlotData plotData) {
		super(plotData);
	}

	public PlotData drawPlot(ChartsModel model) {
		if (model instanceof BoxPlotModel) {
			return drawBoxPlotModel((BoxPlotModel) model);
		}
		throw new IllegalArgumentException("Unsupported model type [" + model
				+ "]");
	}
}
